be.vlaanderen.mercurius.mohm.schemas.v1

## Class CreateApplicationResponseType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.schemas.v1.CreateApplicationResponseType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:17:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class CreateApplicationResponseType
      extends Object
      implements Serializable

  Groeperend element voor het antwoord op een nieuwe aanvraag of hernieuwing.

  Java class for CreateApplicationResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CreateApplicationResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType" minOccurs="0"/>
               <choice>
                 <element name="Accepted" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}CreateApplicationAcceptedType"/>
                 <element name="NotAccepted" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}CreateApplicationNotAcceptedType"/>
               </choice>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateApplicationResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateApplicationAcceptedType` | `getAccepted()` Gets the value of the accepted property.
    `CreateApplicationNotAcceptedType` | `getNotAccepted()` Gets the value of the notAccepted property.
    `String` | `getVSBReference()` Gets the value of the vsbReference property.
    `void` | `setAccepted(CreateApplicationAcceptedType value)` Sets the value of the accepted property.
    `void` | `setNotAccepted(CreateApplicationNotAcceptedType value)` Sets the value of the notAccepted property.
    `void` | `setVSBReference(String value)` Sets the value of the vsbReference property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateApplicationResponseType

          public CreateApplicationResponseType()

  - ### Method Detail

    - #### getVSBReference

          public String getVSBReference()

      Gets the value of the vsbReference property.
      Returns:
        possible object is `String`

    - #### setVSBReference

          public void setVSBReference(String value)

      Sets the value of the vsbReference property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNotAccepted

          public CreateApplicationNotAcceptedType getNotAccepted()

      Gets the value of the notAccepted property.
      Returns:
        possible object is `CreateApplicationNotAcceptedType`

    - #### setNotAccepted

          public void setNotAccepted(CreateApplicationNotAcceptedType value)

      Sets the value of the notAccepted property.
      Parameters:
        `value` - allowed object is `CreateApplicationNotAcceptedType`

    - #### getAccepted

          public CreateApplicationAcceptedType getAccepted()

      Gets the value of the accepted property.
      Returns:
        possible object is `CreateApplicationAcceptedType`

    - #### setAccepted

          public void setAccepted(CreateApplicationAcceptedType value)

      Sets the value of the accepted property.
      Parameters:
        `value` - allowed object is `CreateApplicationAcceptedType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.